## org.eclipse.uml2.uml
Enum CallConcurrencyKind

    java.lang.Object
      java.lang.Enum<CallConcurrencyKind>
          org.eclipse.uml2.uml.CallConcurrencyKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CallConcurrencyKind>, org.eclipse.emf.common.util.Enumerator

    public enum CallConcurrencyKind

extends java.lang.Enum<CallConcurrencyKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Call Concurrency Kind', and utility methods for working with them. CallConcurrencyKind is an enumeration type.

See Also:
  `UMLPackage.getCallConcurrencyKind()`

Enum Constant Summary
`CONCURRENT_LITERAL` The 'Concurrent' literal object
`GUARDED_LITERAL` The 'Guarded' literal object
`SEQUENTIAL_LITERAL` The 'Sequential' literal object

Field Summary
`static int` `CONCURRENT` The 'Concurrent' literal value
`static int` `GUARDED` The 'Guarded' literal value
`static int` `SEQUENTIAL` The 'Sequential' literal value
`static java.util.List<CallConcurrencyKind>` `VALUES` A public read-only list of all the 'Call Concurrency Kind' enumerators

Method Summary
`static CallConcurrencyKind` `get(int value)` Returns the 'Call Concurrency Kind' literal with the specified integer value
`static CallConcurrencyKind` `get(java.lang.String literal)` Returns the 'Call Concurrency Kind' literal with the specified literal value
`static CallConcurrencyKind` `getByName(java.lang.String name)` Returns the 'Call Concurrency Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static CallConcurrencyKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CallConcurrencyKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SEQUENTIAL_LITERAL

    public static final CallConcurrencyKind SEQUENTIAL_LITERAL

  The 'Sequential' literal object.

  See Also:
    `SEQUENTIAL`

### GUARDED_LITERAL

    public static final CallConcurrencyKind GUARDED_LITERAL

  The 'Guarded' literal object.

  See Also:
    `GUARDED`

### CONCURRENT_LITERAL

    public static final CallConcurrencyKind CONCURRENT_LITERAL

  The 'Concurrent' literal object.

  See Also:
    `CONCURRENT`

Field Detail

### SEQUENTIAL

    public static final int SEQUENTIAL

  The 'Sequential' literal value. No concurrency management mechanism is associated with the operation and, therefore, concurrency conflicts may occur. Instances that invoke a behavioral feature need to coordinate so that only one invocation to a target on any behavioral feature occurs at once.

  See Also:
    `SEQUENTIAL_LITERAL`, Constant Field Values

### GUARDED

    public static final int GUARDED

  The 'Guarded' literal value. Multiple invocations of a behavioral feature may occur simultaneously to one instance, but only one is allowed to commence. The others are blocked until the performance of the first behavioral feature is complete. It is the responsibility of the system designer to ensure that deadlocks do not occur due to simultaneous blocks.

  See Also:
    `GUARDED_LITERAL`, Constant Field Values

### CONCURRENT

    public static final int CONCURRENT

  The 'Concurrent' literal value. Multiple invocations of a behavioral feature may occur simultaneously to one instance and all of them may proceed concurrently.

  See Also:
    `CONCURRENT_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<CallConcurrencyKind> VALUES

  A public read-only list of all the 'Call Concurrency Kind' enumerators.

Method Detail

### values

    public static final CallConcurrencyKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CallConcurrencyKind c : CallConcurrencyKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CallConcurrencyKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static CallConcurrencyKind get(java.lang.String literal)

  Returns the 'Call Concurrency Kind' literal with the specified literal value.

### getByName

    public static CallConcurrencyKind getByName(java.lang.String name)

  Returns the 'Call Concurrency Kind' literal with the specified name.

### get

    public static CallConcurrencyKind get(int value)

  Returns the 'Call Concurrency Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<CallConcurrencyKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.